#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	HandBrake
Version		:	1.6.1
Release		:	14.8.0.0%{?dist}
Summary		:	An open-source multiplatform video transcoder
Group		:	Application

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://handbrake.fr

Source0		:	%{name}-%{version}-source.tar.bz2
#external needed contribution
Source10	:	%{name}-external-%{version}.tar.gz


#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
Buildrequires	:	ffmpeg
BuildRequires	:	jansson
BuildRequires	:	gtk3+
BuildRequires	:	harfbuzz-devel
BuildRequires	:	lame
BuildRequires	:	libass
BuildRequires	:	libnotify
BuildRequires	:	libsamplerate
BuildRequires	:	libtheora
BuildRequires	:	libvorbis
BuildRequires	:	libvpx
BuildRequires	:	nasm
BuildRequires	:	numactl-devel
BuildRequires	:	opus-devel
BuildRequires	:	x264
BuildRequires	:	speex

Requires	:	hicolor-icon-theme
Requires	:	gtk+
Requires	:	shared-mime-info

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a general-purpose, free, open-source, cross-platform, multithreaded
video transcoder software application. It can process most common multimedia
files and any DVD or Bluray sources that do not contain any kind of copy
protection.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS.markdown COPYING LICENSE 
%doc NEWS.markdown README.markdown THANKS.markdown
%{_bindir}/%{name}CLI
%{_bindir}/ghb
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/fr.handbrake.ghb.desktop
%{_datadir}/icons/hicolor/scalable/apps/hb-icon.svg
%{_datadir}/icons/hicolor/scalable/apps/fr.handbrake.ghb.svg
%{_datadir}/metainfo/fr.handbrake.ghb.metainfo.xml

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor &> /dev/null
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

#=============================================================================
%prep
%setup -q
#Note external ffmpeg-5.1.2 included in %{SOURCE10}
#allready include binutil-2.41 patch
tar xf %{SOURCE10}

#-----------------------------------------------------------------------------
#building application
%build

%define	maxjob %(/usr/bin/getconf _NPROCESSORS_ONLN)
%define _smp_mflags -j%{maxjob}

./configure						\
	--launch-jobs=%{maxjob}				\
	--launch					\
	--build build					\
        --prefix=%{_prefix}				\
	--optimize=speed				\
	--disable-gst					\
	--disable-gsv					\
	--disable-gtk-update-checks			\
	--enable-fdk-aac				\
	--enable-x265					\
	--strip="/bin/true"				\
#	--disable-gtk					\

%{__make} 						\
	%{_smp_mflags}					\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   						\
	--delete-original					\
	--dir %{buildroot}%{_datadir}/applications 		\
	%{buildroot}%{_datadir}/applications/*.desktop 		\

#-----------------------------------------------------------------------------
%changelog
